bendy-bus: Only call g_type_init() for GLib ≤ 2.35.0 master
authorPhilip Withnall <philip@tecnocode.co.uk>
Sun, 21 Oct 2012 10:28:52 +0000 (11:28 +0100)
committerPhilip Withnall <philip@tecnocode.co.uk>
Sun, 21 Oct 2012 10:28:52 +0000 (11:28 +0100)
commit1b2905c7c98d221968a7f2ce89792c45004262ca
tree834a27035bd122a6900ff29fcaaebb587113eb17
parentf964d260e8ed3f1f0debe053acf3ad40ec7c1f77
bendy-bus: Only call g_type_init() for GLib ≤ 2.35.0

GLib master has just deprecated g_type_init() in favour of making it a
compiler-supported constructor function.
bendy-bus-lint/main.c
bendy-bus-viz/main.c
bendy-bus/main.c
dfsm/tests/ast.c
dfsm/tests/fuzzing.c
dfsm/tests/reachability.c
dfsm/tests/simulation.c